## org.apache.batik.i18n
Interface ExtendedLocalizable

All Superinterfaces:
  Localizable

    public interface ExtendedLocalizable

extends Localizable

This interface provides much more control over internationalization than the Localizable interface.

Method Summary
`java.util.Locale` `getDefaultLocale()` Gets the current default locale in the LocaleGroup.
`LocaleGroup` `getLocaleGroup()` Returns the group to which this object belongs.
`java.util.ResourceBundle` `getResourceBundle()` Returns the current resource bundle.
`void` `setDefaultLocale(java.util.Locale l)` Sets the default locale for all the instances of this class in the same LocaleGroup.
`void` `setLocaleGroup(LocaleGroup lg)` Sets the group to which this object belongs.

Methods inherited from interface org.apache.batik.i18n.Localizable
`formatMessage, getLocale, setLocale`

Method Detail

### setLocaleGroup

    void setLocaleGroup(LocaleGroup lg)

  Sets the group to which this object belongs.

### getLocaleGroup

    LocaleGroup getLocaleGroup()

  Returns the group to which this object belongs.

### setDefaultLocale

    void setDefaultLocale(java.util.Locale l)

  Sets the default locale for all the instances of this class in the same LocaleGroup.

### getDefaultLocale

    java.util.Locale getDefaultLocale()

  Gets the current default locale in the LocaleGroup.

### getResourceBundle

    java.util.ResourceBundle getResourceBundle()

  Returns the current resource bundle. Getting this object gives access to the keys in the bundle, raw string resources, arrays of raw string resources and object resources.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.